org.apache.ignite.internal

## Class GridJobSiblingsResponse

- java.lang.Object
- - org.apache.ignite.internal.GridJobSiblingsResponse

All Implemented Interfaces:
  Serializable, Message

    public class GridJobSiblingsResponse
    extends Object
    implements Message

Job siblings response.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridJobSiblingsResponse()` Empty constructor required by `Externalizable`.
`GridJobSiblingsResponse(@Nullable Collection<ComputeJobSibling> siblings, @Nullable byte[] siblingsBytes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`Collection<ComputeJobSibling>` `jobSiblings()`
`void` `onAckReceived()` Method called when ack message received.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`void` `unmarshalSiblings(Marshaller marsh)`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridJobSiblingsResponse

    public GridJobSiblingsResponse()

Empty constructor required by `Externalizable`.

#### GridJobSiblingsResponse

    public GridJobSiblingsResponse(@Nullable
                                   @Nullable Collection<ComputeJobSibling> siblings,
                                   @Nullable
                                   @Nullable byte[] siblingsBytes)

Parameters:
  `siblings` - Siblings.
  `siblingsBytes` - Serialized siblings.

### Method Detail

#### jobSiblings

    public Collection<ComputeJobSibling> jobSiblings()

Returns:
  Job siblings.

#### unmarshalSiblings

    public void unmarshalSiblings(Marshaller marsh)
                           throws IgniteCheckedException

Parameters:
  `marsh` - Marshaller.
Throws:
  `IgniteCheckedException` - In case of error.

#### onAckReceived

    public void onAckReceived()

Method called when ack message received.

Specified by:
  `onAckReceived` in interface `Message`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021